Class | Bio::Blast::Report::Iteration
In: | lib/bio/appl/blast/report.rb
Parent: | Object

Bio::Blast::Report::Iteration

### Methods

each new

### Attributes

hits | [R] | Returns an Array of Bio::Blast::Report::Hit objects.
message | [RW] | Returns a String (or nil) containing execution message (typically "CONVERGED").
num | [RW] | Returns the number of iteration counts.
query_def | [RW] | query definition, only available for new BLAST XML format
query_id | [RW] | query ID, only available for new BLAST XML format
query_len | [RW] | query length, only available for new BLAST XML format
statistics | [R] | Returns a Hash containing execution statistics. Valid keys are: ‘db-len’, ‘db-num’, ‘eff-space’, ‘entropy’, ‘hsp-len’, ‘kappa’, ‘lambda‘

### Public Class methods

new()

[Source]

         # File lib/bio/appl/blast/report.rb, line 209
    209:     def initialize
    210:       @message = nil
    211:       @statistics = {}
    212:       @num = 1
    213:       @hits = []
    214:     end

### Public Instance methods

each() {|x| ...}

Iterates on each Bio::Blast::Report::Hit object.

[Source]

         # File lib/bio/appl/blast/report.rb, line 231
    231:     def each
    232:       @hits.each do |x|
    233:         yield x
    234:       end
    235:     end

[Validate]